Get Bgp Neighbor
Retrieves a specific BGP neighbor of Provider Gateway.
Request
URI
GET
https://{api_host}/cloudapi/1.0.0/externalNetworks/{externalNetworkId}/providerGatewayServices/routing/bgp/neighbors/{neighborId}
COPY
Path Parameters
string
externalNetworkId
Required
externalNetworkId
string
neighborId
Required
neighborId
Responses
200
OK
Returns
ProviderGatewayBgpNeighbor
of type(s)
application/json;version=39.1
This response body class contains all of the following:
InlineProviderGatewayBgpNeighbor0 ,
InlineProviderGatewayBgpNeighbor1
{
"id": "string",
"neighborAddress": "10.22.1.100",
"remoteASNumber": "65546, 1.10",
"keepAliveTimer": 0,
"holdDownTimer": 0,
"allowASIn": false,
"neighborPassword": "string",
"inRoutesFilterRef": {
"id": "2a4ba9ad-e8d5-409c-8cae-c06910cd9b47",
"name": "string",
"type": "string"
},
"outRoutesFilterRef": {
"id": "2a4ba9ad-e8d5-409c-8cae-c06910cd9b47",
"name": "string",
"type": "string"
},
"version": {
"version": 0
},
"gracefulRestartModeValue": "string",
"bfd": {
"enabled": false,
"bfdInterval": 0,
"declareDeadMultiple": 0
},
"ipAddressTypeFilteringValue": "string",
"routeFilteringConfigurations": [
{
"ipAddressTypeFilteringValue": "string",
"active": false,
"inboundRoutesFilterRef": {
"id": "2a4ba9ad-e8d5-409c-8cae-c06910cd9b47",
"name": "string",
"type": "string"
},
"outboundRoutesFilterRef": {
"id": "2a4ba9ad-e8d5-409c-8cae-c06910cd9b47",
"name": "string",
"type": "string"
},
"maximumRoutes": 0
}
],
"localASNumber": "65546, 1.10",
"asPathModifierType": "string",
"active": false,
"sourceAddresses": [
"123.0.0.1",
"198.0.0.10",
"2008:db8::96"
],
"maxHopLimit": 0,
"bgpPermissionGroupRef": {
"id": "urn:vcloud:bgpPermissionGroup:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "string",
"accessLevel": "string"
}
}
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/externalNetworks/{externalNetworkId}/providerGatewayServices/routing/bgp/neighbors/{neighborId}
Availability
Added in 38.0
Provider Gateway Bgp Neighbor Operations
GET
Get Bgp Neighbor
PUT
Update Bgp Neighbor
DELETE
Delete Bgp Neighbor
GET
Get Bgp Neighbor Status
GET
Get Bgp Neighbor Learned Routes
GET
Get Bgp Neighbor Advertised Routes